<template>
  <div>
      <div class="parallax">
        <div class="container">
          <div class="row">
            <div class="col-md-4 mt-3" v-for="item in items" :key="item.id">
              <div class="card">
                <img class="card-img-top" :src="item.image" :alt="item.title">
                <div class="card-body">
                  <p class="card-text">{{ item.description }}</p>
                </div>
              </div>
            </div>
          </div>
          <div class="mt-4">
            <router-link class="btn btn-sm btn-secondary" to="/dashboard">
              SIGUIENTE
            </router-link>
          </div>
        </div>
      </div>
  </div>
</template>
<style>
  .parallax {
    background-image: url('/images/background.jpg');
    height: 100vh; 
    /* Create the parallax scrolling effect */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .animated-button {
    border: none;
    text-decoration: none;
    color: rgba(255, 255, 255, 0.8);
    background: rgb(145, 92, 182);
    padding: 10px 30px;
    border-radius: 4px;
    font-weight: normal;
    text-transform: uppercase;
    transition: all 0.2s ease-in-out;
  }

  .animated-button:hover {
    color: rgba(255, 255, 255, 1);
    box-shadow: 0 5px 15px rgba(145, 92, 182, .4);
  }
  
</style>
<script>
export default {
  data(){
    return{
      items: [
        {
          id: 1,
          title: 'Las mejores fotografias',
          description: 'La cámara es un cuaderno de bocetos, un instrumento para la intuición y la espontaneidad',
          image: '/images/landing-1.jpg'
        },
        {
          id: 2,
          title: 'Montajes y mosaicos',
          description: 'La fotografía es más que un medio para la comunicación efectiva de ideas. Es un arte creativo',
          image: '/images/landing-2.jpg'
        },
        {
          id: 3,
          title: 'Excelente calidad',
          description: 'Una fotografía no es un accidente, es un concepto.',
          image: '/images/landing-3.jpg'
        }
      ]
    }
  }
}
</script>



